> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataraven.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Notification

> Send a test notification to verify configuration.

**Required Role:** OPERATOR or higher



## OpenAPI

````yaml POST /v1/teams/{team_id}/notifications/{notification_id}/test
openapi: 3.1.0
info:
  title: Data Raven API
  description: Cloud-to-cloud data transfer platform powered by RClone
  version: 0.5.0
servers: []
security: []
paths:
  /v1/teams/{team_id}/notifications/{notification_id}/test:
    post:
      tags:
        - Notifications
      summary: Test Notification
      description: |-
        Send a test notification to verify configuration.

        **Required Role:** OPERATOR or higher
      operationId: >-
        test_notification_v1_teams__team_id__notifications__notification_id__test_post
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: notification_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Notification Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationTestResponse'
        '404':
          description: Notification config not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NotificationTestResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        details:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Details
      type: object
      required:
        - success
        - message
      title: NotificationTestResponse
      description: Schema for test notification endpoint response
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````